# Acknowledged

## Get a list of acknowledged hostnames.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/host-list.json`

Returns a paginated list of acknowledged hostnames.

<https://app.halosecurity.com/user/security/awk/hosts>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "awk_host": {
                "host": "0.0.0.0",
                "comment": "Randomly scans its-self causing massive fps.",
                "created_date": "0000-00-00 00:00",
                "type": 1000,
                "created_by": "example"
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Add a hostname acknowledgment.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/host-add.json`

Requires the `security_acknowledge_add` permission.

Learn about permissions: [Permissions](/api/readme/permissions.md)

<https://app.halosecurity.com/user/security/awk/hosts>

#### Query Parameters

| Name                                   | Type   | Description                                                                                                                                                                                                                                |
| -------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| host<mark style="color:red;">\*</mark> | String |                                                                                                                                                                                                                                            |
| type<mark style="color:red;">\*</mark> | String | <p><code>global</code></p><p><code>discovery</code></p><p><code>cookie</code></p><p><code>script</code></p><p><code>form</code></p><p><code>cert</code></p><p><code>download</code></p><p><code>link</code></p><p><code>traffic</code></p> |
| comment                                | String |                                                                                                                                                                                                                                            |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": 1
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "type not valid"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "host required"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "Host Already Acknowledged"
}
```

{% endtab %}
{% endtabs %}

## Delete a hostname acknowledgment.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/host-delete.json`

Requires the `security_acknowledge_delete` permission.

Learn about permissions: [Permissions](/api/readme/permissions.md)

<https://app.halosecurity.com/user/security/awk/hosts>

#### Query Parameters

| Name                                   | Type   | Description                                                                                                                                                                                                                                |
| -------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| host<mark style="color:red;">\*</mark> | String |                                                                                                                                                                                                                                            |
| type                                   | String | <p><code>global</code></p><p><code>discovery</code></p><p><code>cookie</code></p><p><code>script</code></p><p><code>form</code></p><p><code>cert</code></p><p><code>download</code></p><p><code>link</code></p><p><code>traffic</code></p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": 1
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "host required"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "nothing deleted"
}
```

{% endtab %}
{% endtabs %}

## Get a list of acknowledged elements.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/element-list.json`

Returns a paginated list of acknowledged elements. See the [Appendix](/api/readme/appendix.md) for information about acceptable element types.

See the [Appendix](/api/readme/appendix.md) for information about acceptable element types.

<https://app.halosecurity.com/user/security/awk/apps>

#### Query Parameters

| Name                                   | Type    | Description             |
| -------------------------------------- | ------- | ----------------------- |
| type<mark style="color:red;">\*</mark> | Integer | Type of element to list |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 27,
        "sort": "1"
    },
    "pagination": {
        "total": 0,
        "start": 0,
        "limit": 100
    },
    "list": [
        {
            "awk_app": {
                "name": "Cloudflare",
                "created_date": "0000-00-00 00:00",
                "app_id": 14,
                "created_by": "none"
            }
        }
    ]
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "type required"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "type not valid"
}
```

{% endtab %}
{% endtabs %}

## Add an app acknowledgment.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/element-add.json`

Add an acknowledged element. See the [Appendix](/api/readme/appendix.md) for information about acceptable element types.

Requires the `security_acknowledge_add` permission.

Learn about permissions: [Permissions](/api/readme/permissions.md)

<https://app.halosecurity.com/user/security/awk/apps>

#### Query Parameters

| Name                                   | Type    | Description            |
| -------------------------------------- | ------- | ---------------------- |
| type<mark style="color:red;">\*</mark> | Integer | Type of element to add |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": 1
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "type required"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "type not valid"
}
```

{% endtab %}
{% endtabs %}

## Get information about a specific acknowledgement.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/element-get.json`

#### Query Parameters

| Name                                 | Type    | Description                      |
| ------------------------------------ | ------- | -------------------------------- |
| id<mark style="color:red;">\*</mark> | Integer | ID of the acknowledgement to get |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": 1,
    "ack_element": {
        "comment": "test",
        "target_id": 0,
        "created_date": "2022-05-27 17:49",
        "created_by": "user@example.com"
    }
}
```

{% endtab %}
{% endtabs %}

## Delete an element acknowledgment.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/element-delete.json`

Requires the `security_acknowledge_delete` permission.

Learn about permissions: [Permissions](/api/readme/permissions.md)

<https://app.halosecurity.com/user/security/awk/apps>

#### Query Parameters

| Name                                 | Type    | Description                         |
| ------------------------------------ | ------- | ----------------------------------- |
| id<mark style="color:red;">\*</mark> | Integer | ID of the acknowledgement to delete |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": 1
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "code": 404,
    "message": "acknowledged element not found"
}
```

{% endtab %}
{% endtabs %}

## Get a list of acknowledged issues.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/issue-list.json`

<https://app.halosecurity.com/user/security/awk/issues>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "request": {
        "target_count": 1,
        "sort": "1"
    },
    "pagination": {
        "total": 1,
        "start": 0,
        "limit": 100
    },
    "list": [
        {
            "ack_issue": {
                "reason": 1,
                "last_found_date": "2022-01-01 12:00",
                "issue_id": 12345,
                "target_id": 0,
                "id": 1234,
                "created_date": "2022-01-01 12:00",
                "created_by": "user@example.com",
                "last_found_scan_id": "202201011200J344j0mFFFFZv0J0000"
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get information about a specific acknowledged issue.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/issue-get.json`

[https://app.halosecurity.com/user/security/awk/issues](https://app.halosecurity.com/user/security/awk/issues?targets=all)

#### Query Parameters

| Name                                 | Type    | Description                   |
| ------------------------------------ | ------- | ----------------------------- |
| id<mark style="color:red;">\*</mark> | integer | ID of the acknowledged issue. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "ack_issue": {
        "reason": 1,
        "issue_id": 12345,
        "target_id": 0,
        "id": 1234,
        "created_date": "2022-01-01 12:00",
        "created_by": "user@example.com"
    },
    "success": 1
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 400,
    "message": "id required"
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "code": 404,
    "message": "acknowledged issue not found"
}
```

{% endtab %}
{% endtabs %}

## Add an issue to acknowledged list.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/issue-add.json`

Requires the `security_acknowledge_add` permission\_.\_

Learn about permissions: [Permissions](/api/readme/permissions.md)

<https://app.halosecurity.com/user/security/awk/issues>

#### Query Parameters

| Name                                        | Type    | Description             |
| ------------------------------------------- | ------- | ----------------------- |
| issue\_id<mark style="color:red;">\*</mark> | integer | ID of the issue to add. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": 1,
    "id": 12345
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 0,
    "message": "issue_id required"
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "code": 0,
    "message": "issue not found"
}
```

{% endtab %}
{% endtabs %}

## Delete an acknowledged issue.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/ack/issue-delete.json`

Requires the `security_acknowledge_delete` permission.

Learn about permissions: [Permissions](/api/readme/permissions.md)

<https://app.halosecurity.com/user/security/awk/issues>

#### Query Parameters

| Name                                 | Type    | Description                             |
| ------------------------------------ | ------- | --------------------------------------- |
| id<mark style="color:red;">\*</mark> | integer | ID of the acknowledged issue to delete. |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": 1
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "code": 400,
    "message": "id required"
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "code": 404,
    "message": "acknowledged issue not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/endpoints/acknowledged.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
